View Single Post
Old 20 September 2009, 21:33   #163
alexh
Thalion Webshrine
alexh's Avatar
 
Join Date: Jan 2004
Location: Oxford
Posts: 11,939
Quote:
Originally Posted by PowerPie5000 View Post
I meant they are useless as you can get newer and more compatible revisions!
Erm, ok. First I've heard of this, pretty sure my carts worked with anything I threw at it, cept the ROM ones.

Quote:
Originally Posted by PowerPie5000 View Post
the old EMS carts had teething problems with the 1mb/4mb ram and needed a hardware modification for it to work correctly with games that needed the 4mb expansion...
Ooooo, oooooh. Got any links to this?

Quote:
Originally Posted by PowerPie5000 View Post
Some places still sell the old version with a comm port (with modification) but i'm not sure if the software is upto date? (most current is V2.02).
How can I tell which version I have? With a comms link card & a cart with comms port, I can update to anything... and on the EMS website are the files to update to V2.02

Quote:
Originally Posted by PowerPie5000 View Post
Why would anyone choose an old Datel over the newer and much better EMS cart??? My old Datel does not even allow imports to be played!
Price, availability, ignorance? Pretty sure I didn't know about any incompatibility when I bought mine.

Quote:
Originally Posted by PowerPie5000 View Post
i cannot find the old comm cart on the EMS website, just the new 2.02 version.
Later, only the PRO one has the COMMS port.

http://www.hkems.com/product/saturn/...ion_replay.htm
alexh is offline  
 
Page generated in 0.05874 seconds with 9 queries